require "import"
import "android.widget.*"
import "android.content.Intent"
import "com.androlua.*"
import "java.io.*"

activity = this

layout = {
LinearLayout,
orientation = "vertical",
layout_width = "fill",
layout_height = "fill",
padding = "16dp",
{
ListView,
id = "listView",
layout_width = "fill",
layout_height = "0dp",
layout_weight = 1
    },
    {
Button,
id = "updateButton",
text = "Group update ekstensi",
layout_width = "fill",
layout_height = "wrap_content"
    },
    {
Button,
id = "exitButton",
text = "Keluar",
layout_width = "fill",
layout_height = "wrap_content"
    }
}
items = {
    "PROMBES Radio",
    "RMI Streaming",
    "Gending Jawa Online",
    "Kajian Islam Online",
    "Prambors FM Makassar",
    "RRI Pro 1 Makassar"
}
function createAdapter(list)
    local adapter = ArrayAdapter(activity, android.R.layout.simple_list_item_1, list)
    return adapter
end
dlg = LuaDialog(activity)
dlg.View = loadlayout(layout)
listView.setAdapter(createAdapter(items))
dlg.setTitle("List SALURAN STREAMING RADIO")
dlg.show()
listView.setOnItemClickListener(AdapterView.OnItemClickListener{
    onItemClick = function(parent, view, position, id)
        local selectedItem = items[position + 1]
        if selectedItem == "PROMBES Radio" then
            service.openUrl("https://sv.prombesradio.my.id/public/prombes_radio")
        elseif selectedItem == "RMI Streaming" then
            service.openUrl("https://radioonline.co.id/pro1-makassar/")
        elseif selectedItem == "Gending Jawa Online" then
            service.openUrl("https://radioindonesia.org/gending-jawa-online")
        elseif selectedItem == "Kajian Islam Online" then
            service.openUrl("https://radioindonesia.org/kajian-islam-online")
        elseif selectedItem == "Prambors FM Makassar" then
            service.openUrl("https://radioindonesia.org/prambors-fm-1051-makassar")
        elseif selectedItem == "RRI Pro 1 Makassar" then
            service.openUrl("https://radioindonesia.org/rri-pro-1-makassar")
        end
    end
})
updateButton.setOnClickListener(function()
    service.openUrl("https://chat.whatsapp.com/EXsCeLRcy9I3njvaqeIn7x")
dlg.dismiss()
end)
exitButton.setOnClickListener(function()
    dlg.dismiss()
end)


